Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.client.binder
Interface GinAnnotatedElementBuilder

All Known Implementing Classes:
  AnnotatedElementBuilderAdapter

    public interface GinAnnotatedElementBuilder

Builder returned from calls to expose, used to add an (optional) annotation to the element that is being exposed. This is similar to `GinAnnotatedBindingBuilder` but doesn't allow specifying a value. See the EDSL examples at `GinBinder`.

Method Summary
`void` | `annotatedWith(java.lang.annotation.Annotation annotation)` See the EDSL examples at `GinBinder`.
`void` | `annotatedWith(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)` See the EDSL examples at `GinBinder`.

Method Detail

### annotatedWith

    void annotatedWith(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)

  See the EDSL examples at `GinBinder`.

### annotatedWith

    void annotatedWith(java.lang.annotation.Annotation annotation)

  See the EDSL examples at `GinBinder`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD